Subject: Re: [PATCH 1/4] atl1: Build files for Attansic L1 driver

From: Chris Snook <[email-masked]>
Date: Mon, 20 Nov 2006 11:19:43 -0500

Randy Dunlap wrote:
> Chris Snook wrote:
>> Randy Dunlap wrote:
>>> On Sun, 19 Nov 2006 14:29:15 -0600 Jay Cliburn wrote:
>>>
>>>> From: Jay Cliburn <[email-masked]>
>>>>
>>>> This patch contains the build files for the Attansic L1 gigabit 
>>>> ethernet
>>>> adapter driver.
>>>>
>>>> Signed-off-by: Jay Cliburn <[email-masked]>
>>>> ---
>>>>
>>>>  Kconfig       |   12 ++++++++++++
>>>>  Makefile      |    1 +
>>>>  atl1/Makefile |   30 ++++++++++++++++++++++++++++++
>>>>  3 files changed, 43 insertions(+)
>>>>
>>>> diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
>>>> index 6e863aa..f503d10 100644
>>>> --- a/drivers/net/Kconfig
>>>> +++ b/drivers/net/Kconfig
>>>> @@ -2329,6 +2329,18 @@ config QLA3XXX
>>>>        To compile this driver as a module, choose M here: the module
>>>>        will be called qla3xxx.
>>>>  
>>>> +config ATL1
>>>> +    tristate "Attansic(R) L1 Gigabit Ethernet support (EXPERIMENTAL)"
>>>> +    depends on NET_PCI && PCI && EXPERIMENTAL
>>>> +    select CRC32
>>>> +    select MII
>>>> +    ---help---
>>>> +      This driver supports Attansic L1 gigabit ethernet adapter.
>>>> +
>>>> +      To compile this driver as a module, choose M here.  The module
>>>> +      will be called atl1.
>>>> +
>>>> +
>>>>  endmenu
>>>
>>> One problem here is that MII depends on NET_ETHERNET, which is
>>> 10/100 ethernet, which may not be enabled if someone has only
>>> gigabit ethernet.  :)
>>
>> I'm actually quite inclined to rip out all MII support entirely. 
>> There's a lot of code in this driver that needs cleaning up 
>> cosmetically, and removing deprecated features would certainly speed 
>> things up.  What do you think?
> 
> All of that sounds like a good idea to me.
> I didn't realize that MII support is deprecated.  Do you mean
> that it's deprecated for gigabit?
> 

To be precise, mii-tool is deprecated, in favor of ethtool.  There are 
other things that use mii capabilities.  Bonding uses miimon, but the 
arp monitor is an alternative, and I don't think there's much overlap 
between workloads where people care about bonding and workloads people 
run on an Asus M2V motherboard, so I'm not sure there's much 
justification to bother supporting the feature, except completeness. 
Thus my question to netdev:

Would anyone care if we removed MII support from an experimental driver 
for a chip that is only known to ship on non-OEM desktop boards?

	-- Chris